#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ganaveh11.12_base.ps
projection=-JM16.0c+
region=-R50.4/51.5/29.3/30.6
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map ganaveh11.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    29.650    50.892
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    29.666    50.871
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    29.943    50.933
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    30.464    50.740
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    30.508    50.689
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    29.583    50.872
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    29.997    50.738
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    29.698    51.206
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    30.247    51.310
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    29.910    51.336
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    30.453    50.817
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    29.793    50.530
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    30.468    50.725
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    29.524    50.898
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    29.533    50.929
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    29.526    50.939
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    29.548    50.932
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    29.514    50.929
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    29.548    50.879
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    29.557    50.956
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    29.546    50.938
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    29.556    50.888
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    29.569    50.904
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    29.505    50.934
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    29.540    50.939
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    29.534    50.915
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    29.564    50.918
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    29.526    50.935
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    29.540    50.936
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    29.558    50.909
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    29.535    50.872
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    29.529    50.885
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    29.529    50.941
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    30.432    50.659
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    30.435    50.779
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    29.420    51.083
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    29.740    51.195
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    29.901    50.582
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    29.530    51.386
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    29.586    51.413
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    29.673    50.773
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    29.699    50.769
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    30.182    50.902
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    30.205    50.878
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    30.374    50.727
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    30.381    50.726
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    30.183    51.042
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    29.748    51.355
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    30.432    50.532
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    30.206    50.913
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    29.749    50.689
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    29.780    50.584
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    29.756    50.651
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    29.733    50.686
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    29.832    50.632
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    29.769    50.595
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    29.760    50.563
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    29.739    50.660
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    29.842    50.631
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    29.814    50.609
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    29.731    50.642
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    29.810    50.579
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    29.779    50.639
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    29.827    50.601
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    29.865    50.893
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    29.741    51.194
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    29.760    50.621
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    29.775    50.611
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    29.737    50.666
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    29.888    50.881
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    29.859    50.900
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    29.739    50.655
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    29.802    50.525
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    29.833    50.573
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    29.831    50.568
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    29.735    51.134
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    29.730    51.158
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    29.708    51.174
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    29.673    51.160
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.649    50.892
    29.650    50.892
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.597    50.853
    29.650    50.892
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.664    50.870
    29.666    50.871
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.586    50.841
    29.666    50.871
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.942    50.933
    29.943    50.933
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.873    50.860
    29.943    50.933
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.463    50.740
    30.464    50.740
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.355    50.711
    30.464    50.740
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.507    50.689
    30.508    50.689
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.464    50.671
    30.508    50.689
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.582    50.872
    29.583    50.872
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.511    50.899
    29.583    50.872
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.995    50.737
    29.997    50.738
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.834    50.627
    29.997    50.738
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.696    51.205
    29.698    51.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.599    51.161
    29.698    51.206
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.246    51.310
    30.247    51.310
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.151    51.286
    30.247    51.310
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.907    51.336
    29.910    51.336
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.866    51.326
    29.910    51.336
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.452    50.817
    30.453    50.817
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.432    50.800
    30.453    50.817
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.792    50.531
    29.793    50.530
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.601    50.349
    29.793    50.530
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.467    50.725
    30.468    50.725
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.460    50.757
    30.468    50.725
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.523    50.898
    29.524    50.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.491    50.924
    29.524    50.898
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.532    50.929
    29.533    50.929
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.375    50.890
    29.533    50.929
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.525    50.938
    29.526    50.939
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.427    50.940
    29.526    50.939
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.546    50.932
    29.548    50.932
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.479    50.974
    29.548    50.932
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.512    50.929
    29.514    50.929
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.457    50.953
    29.514    50.929
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.546    50.879
    29.548    50.879
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.415    50.847
    29.548    50.879
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.555    50.957
    29.557    50.956
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.546    50.930
    29.557    50.956
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.544    50.937
    29.546    50.938
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.455    50.961
    29.546    50.938
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.555    50.887
    29.556    50.888
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.387    50.860
    29.556    50.888
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.567    50.904
    29.569    50.904
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.519    50.906
    29.569    50.904
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.502    50.931
    29.505    50.934
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.504    50.933
    29.505    50.934
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.539    50.938
    29.540    50.939
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.508    50.923
    29.540    50.939
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.533    50.915
    29.534    50.915
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.512    50.912
    29.534    50.915
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.564    50.917
    29.564    50.918
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.537    50.885
    29.564    50.918
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.524    50.934
    29.526    50.935
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.480    50.934
    29.526    50.935
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.539    50.937
    29.540    50.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.484    50.868
    29.540    50.936
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.557    50.908
    29.558    50.909
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.464    50.813
    29.558    50.909
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.534    50.871
    29.535    50.872
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.504    50.862
    29.535    50.872
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.528    50.885
    29.529    50.885
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.489    50.912
    29.529    50.885
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.528    50.942
    29.529    50.941
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.547    50.917
    29.529    50.941
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.430    50.658
    30.432    50.659
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.435    50.692
    30.432    50.659
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.435    50.779
    30.435    50.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.417    50.803
    30.435    50.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.419    51.083
    29.420    51.083
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.377    51.016
    29.420    51.083
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.740    51.196
    29.740    51.195
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.681    51.217
    29.740    51.195
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.899    50.582
    29.901    50.582
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.782    50.517
    29.901    50.582
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.530    51.386
    29.530    51.386
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.533    51.348
    29.530    51.386
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.585    51.412
    29.586    51.413
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.521    51.352
    29.586    51.413
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.672    50.773
    29.673    50.773
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.658    50.767
    29.673    50.773
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.698    50.769
    29.699    50.769
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.642    50.744
    29.699    50.769
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.180    50.902
    30.182    50.902
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.145    50.920
    30.182    50.902
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.204    50.879
    30.205    50.878
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.120    50.916
    30.205    50.878
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.372    50.726
    30.374    50.727
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.422    50.846
    30.374    50.727
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.381    50.724
    30.381    50.726
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.383    50.813
    30.381    50.726
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.182    51.041
    30.183    51.042
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.216    51.084
    30.183    51.042
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.746    51.355
    29.748    51.355
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.713    51.326
    29.748    51.355
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.430    50.531
    30.432    50.532
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.414    50.536
    30.432    50.532
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    30.205    50.913
    30.206    50.913
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    30.193    50.901
    30.206    50.913
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.748    50.688
    29.749    50.689
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.753    50.678
    29.749    50.689
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.779    50.584
    29.780    50.584
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.785    50.545
    29.780    50.584
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.754    50.651
    29.756    50.651
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.768    50.527
    29.756    50.651
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.732    50.685
    29.733    50.686
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.769    50.726
    29.733    50.686
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.830    50.632
    29.832    50.632
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.809    50.626
    29.832    50.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.768    50.598
    29.769    50.595
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.820    50.392
    29.769    50.595
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.758    50.561
    29.760    50.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.755    50.545
    29.760    50.563
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.738    50.659
    29.739    50.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.795    50.630
    29.739    50.660
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.841    50.628
    29.842    50.631
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.865    50.492
    29.842    50.631
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.812    50.608
    29.814    50.609
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.795    50.608
    29.814    50.609
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.729    50.642
    29.731    50.642
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.681    50.554
    29.731    50.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.808    50.579
    29.810    50.579
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.824    50.563
    29.810    50.579
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.778    50.639
    29.779    50.639
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.778    50.511
    29.779    50.639
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.825    50.601
    29.827    50.601
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.810    50.645
    29.827    50.601
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.864    50.893
    29.865    50.893
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.869    50.868
    29.865    50.893
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.739    51.193
    29.741    51.194
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.705    51.128
    29.741    51.194
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.759    50.620
    29.760    50.621
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.704    50.538
    29.760    50.621
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.773    50.611
    29.775    50.611
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.732    50.627
    29.775    50.611
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.736    50.665
    29.737    50.666
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.746    50.644
    29.737    50.666
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.886    50.881
    29.888    50.881
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.868    50.750
    29.888    50.881
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.858    50.897
    29.859    50.900
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.878    50.861
    29.859    50.900
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.738    50.653
    29.739    50.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.738    50.608
    29.739    50.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.800    50.524
    29.802    50.525
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.800    50.494
    29.802    50.525
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.832    50.572
    29.833    50.573
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.808    50.545
    29.833    50.573
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.829    50.569
    29.831    50.568
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.862    50.573
    29.831    50.568
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.734    51.133
    29.735    51.134
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.797    51.126
    29.735    51.134
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.728    51.158
    29.730    51.158
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.748    51.125
    29.730    51.158
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.704    51.178
    29.708    51.174
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.665    51.119
    29.708    51.174
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    29.671    51.158
    29.673    51.160
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    29.770    50.983
    29.673    51.160
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    29.650    50.892   -64.466     0.875     1.213
    29.666    50.871   -67.326     0.928     1.469
    29.943    50.933   -70.390     0.963     1.565
    30.464    50.740   -10.121     1.430     1.503
    30.508    50.689   -33.694     1.764     2.202
    29.583    50.872   -13.442     3.041     4.115
    29.997    50.738   -45.280     1.311     1.841
    29.698    51.206   -25.321     1.612     2.521
    30.247    51.310    49.118     2.162     2.596
    29.910    51.336   -18.417     1.988     2.510
    30.453    50.817   -23.896     2.033     2.922
    29.793    50.530   -24.806     1.877     3.657
    30.468    50.725   -18.901     1.481     2.062
    29.524    50.898   -15.555     1.399     2.915
    29.533    50.929   -24.498     1.254     2.255
    29.526    50.939   -19.589     1.331     2.575
    29.548    50.932   -26.051     1.136     1.983
    29.514    50.929   -23.508     1.600     2.796
    29.548    50.879   -31.635     2.402     4.260
    29.557    50.956   -23.884     2.867     4.183
    29.546    50.938   -36.170     1.229     1.904
    29.556    50.888   -54.612     2.347     3.442
    29.569    50.904   -51.416     2.659     3.199
    29.505    50.934   -25.700     2.045     4.205
    29.540    50.939   -26.860     2.424     4.123
    29.534    50.915   -18.384     2.024     4.163
    29.564    50.918   -15.486     2.022     4.436
    29.526    50.935   -20.585     1.391     2.976
    29.540    50.936   -24.769     1.987     3.584
    29.558    50.909   -32.825     1.129     1.881
    29.535    50.872   -31.698     1.102     1.899
    29.529    50.885   -39.422     1.066     1.641
    29.529    50.941   -26.575     2.663     3.388
    30.432    50.659   -17.765     1.285     1.638
    30.435    50.779   -15.705     1.803     3.283
    29.420    51.083   -14.587     1.376     3.026
    29.740    51.195   -16.992     1.957     3.715
    29.901    50.582   -22.911     2.186     4.977
    29.530    51.386     3.321     2.520     3.543
    29.586    51.413   -37.119     1.560     2.120
    29.673    50.773   -40.352     1.521     1.893
    29.699    50.769   -44.003     0.944     1.196
    30.182    50.902   -10.651     1.592     2.872
    30.205    50.878   -17.661     1.966     3.583
    30.374    50.727   -13.064     2.051     4.127
    30.381    50.726    -8.862     1.728     3.391
    30.183    51.042   -15.039     1.853     2.742
    29.748    51.355   -56.177     1.299     1.621
    30.432    50.532    -2.050     1.845     2.554
    30.206    50.913   -25.080     1.706     2.473
    29.749    50.689   -67.938     0.757     1.127
    29.780    50.584   -18.513     2.157     3.225
    29.756    50.651   -20.676     1.705     2.371
    29.733    50.686   -27.434     1.343     1.690
    29.832    50.632    -9.352     1.773     3.076
    29.769    50.595   -14.866     1.896     2.765
    29.760    50.563   -65.526     0.933     1.356
    29.739    50.660    -7.178     3.487     4.286
    29.842    50.631   -17.438     1.980     3.131
    29.814    50.609   -60.528     1.297     1.856
    29.731    50.642   -64.815     1.298     1.639
    29.810    50.579    -9.393     2.945     4.494
    29.779    50.639   -27.466     2.101     3.084
    29.827    50.601    -4.836     2.325     3.818
    29.865    50.893   -63.022     0.941     1.344
    29.741    51.194   -69.276     0.724     1.086
    29.760    50.621   -29.230     1.243     1.808
    29.775    50.611    -9.199     2.132     3.330
    29.737    50.666   -58.776     3.175     4.465
    29.888    50.881   -49.505     1.620     2.219
    29.859    50.900   -29.080     2.669     4.111
    29.739    50.655     1.078     3.766     4.492
    29.802    50.525   -69.459     1.006     1.525
    29.833    50.573   -59.385     1.522     2.052
    29.831    50.568    -5.705     3.314     4.923
    29.735    51.134   -21.660     1.821     2.675
    29.730    51.158   -24.879     1.624     2.213
    29.708    51.174   -49.100     2.513     3.139
    29.673    51.160   -70.379     3.137     4.498
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    29.650    50.892     0.100
    29.666    50.871     0.100
    29.943    50.933     0.100
    29.749    50.689     0.100
    29.760    50.563     0.100
    29.865    50.893     0.100
    29.741    51.194     0.100
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    29.373    50.486    73.320     3.242     3.662
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    29.373    50.508   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    29.373    50.486     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    29.373    50.486     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    29.328    50.486   5 km
END
