#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ganaveh11.12_dcal.ps
projection=-JM16.0c+
region=-R48.4/53.6/27.5/32.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration ganaveh11.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.464    50.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.464    50.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.464    50.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.464    50.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.464    50.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.508    50.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.508    50.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.583    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.583    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.997    50.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.997    50.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.698    51.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.698    51.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.698    51.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.698    51.206
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.247    51.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.247    51.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.247    51.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.247    51.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.247    51.310
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.910    51.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.910    51.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.910    51.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.910    51.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.910    51.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.453    50.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.453    50.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.453    50.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.453    50.817
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.793    50.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.793    50.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.793    50.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.793    50.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.468    50.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.468    50.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.468    50.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.468    50.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.524    50.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.524    50.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.524    50.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.524    50.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.533    50.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.533    50.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.526    50.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.526    50.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.526    50.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.548    50.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.514    50.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.514    50.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.548    50.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.548    50.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.557    50.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.546    50.938
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.556    50.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.556    50.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.569    50.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.569    50.904
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.505    50.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.505    50.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.540    50.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.540    50.939
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.534    50.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.564    50.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.564    50.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.564    50.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.564    50.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.526    50.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.526    50.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.526    50.935
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.540    50.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.540    50.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.540    50.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.558    50.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.558    50.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.558    50.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.535    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.535    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.535    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.535    50.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.529    50.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.529    50.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.529    50.885
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.529    50.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.529    50.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.529    50.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.432    50.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.432    50.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.432    50.659
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.435    50.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.435    50.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    30.435    50.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.420    51.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.420    51.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.420    51.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.420    51.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.420    51.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.740    51.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.901    50.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.625    51.639
    29.901    50.582
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.530    51.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.530    51.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.530    51.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.363    51.260
    29.530    51.386
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.586    51.413
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.673    50.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.673    50.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.673    50.773
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.699    50.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.699    50.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    28.864    51.295
    29.699    50.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    29.699    50.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.182    50.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.182    50.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.182    50.902
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.205    50.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    30.205    50.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.205    50.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.374    50.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.374    50.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    30.374    50.727
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.381    50.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.381    50.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    30.381    50.726
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    30.183    51.042
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.183    51.042
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.183    51.042
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.748    51.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.748    51.355
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.432    50.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.432    50.532
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    30.600    50.253
    30.206    50.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.008    51.592
    30.206    50.913
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.749    50.689
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.780    50.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.780    50.584
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.756    50.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.756    50.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.733    50.686
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.832    50.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.832    50.632
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.769    50.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.769    50.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.760    50.563
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.739    50.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.739    50.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.739    50.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.842    50.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.842    50.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.814    50.609
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.731    50.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.731    50.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.810    50.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.810    50.579
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.779    50.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.779    50.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.827    50.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.827    50.601
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.865    50.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.741    51.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.741    51.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.741    51.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.760    50.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.760    50.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.775    50.611
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.775    50.611
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.737    50.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.737    50.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.859    50.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.859    50.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.739    50.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.739    50.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.739    50.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.802    50.525
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.833    50.573
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.831    50.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.831    50.568
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.735    51.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.730    51.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.730    51.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.730    51.158
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.708    51.174
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.708    51.174
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.708    51.174
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.708    51.174
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.613    51.662
    29.673    51.160
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.254    50.313
    29.673    51.160
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.673    51.160
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    29.637    52.520
    29.673    51.160
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    30.600    50.253     0.300
    31.008    51.592     0.300
    29.625    51.639     0.300
    28.864    51.295     0.300
    29.637    52.520     0.300
    28.363    51.260     0.300
    29.613    51.662     0.300
    29.254    50.313     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.650    50.892     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.666    50.871     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.943    50.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.464    50.740     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.508    50.689     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.583    50.872     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.997    50.738     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.698    51.206     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.247    51.310     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.910    51.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.453    50.817     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.793    50.530     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.468    50.725     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.524    50.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.533    50.929     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.526    50.939     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.548    50.932     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.514    50.929     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.548    50.879     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.557    50.956     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.546    50.938     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.556    50.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.569    50.904     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.505    50.934     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.540    50.939     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.534    50.915     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.564    50.918     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.526    50.935     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.540    50.936     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.558    50.909     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.535    50.872     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.529    50.885     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.529    50.941     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.432    50.659     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.435    50.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.420    51.083     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.740    51.195     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.901    50.582     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.530    51.386     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.586    51.413     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.673    50.773     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.699    50.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.182    50.902     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.205    50.878     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.374    50.727     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.381    50.726     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.183    51.042     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.748    51.355     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.432    50.532     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    30.206    50.913     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.749    50.689     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.780    50.584     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.756    50.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.733    50.686     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.832    50.632     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.769    50.595     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.760    50.563     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.739    50.660     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.842    50.631     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.814    50.609     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.731    50.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.810    50.579     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.779    50.639     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.827    50.601     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.865    50.893     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.741    51.194     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.760    50.621     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.775    50.611     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.737    50.666     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.888    50.881     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.859    50.900     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.739    50.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.802    50.525     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.833    50.573     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.831    50.568     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.735    51.134     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.730    51.158     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.708    51.174     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    29.673    51.160     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    29.809    50.851     0.000   222.000   222.000
    29.809    50.851     0.000   444.000   444.000
END
