#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=ganaveh11.12_rdp_073.ps
projection=-JX18/12
region=-R1/34/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases ganaveh11.12 Event 073' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.228     1.000
     1.788     2.000
     1.348     3.000
     0.907     4.000
     0.467     5.000
     0.027     6.000
     0.414     7.000
     0.134     8.000
     0.184     9.000
     0.502    10.000
     0.820    11.000
     1.138    12.000
     1.456    13.000
     1.774    14.000
     2.093    15.000
     2.455    16.000
     2.771    17.000
     3.138    18.000
     3.453    19.000
     3.769    20.000
     4.043    21.000
     4.317    22.000
     4.591    23.000
     4.867    24.000
     5.141    25.000
     5.416    26.000
     5.688    27.000
     5.962    28.000
     6.237    29.000
     6.511    30.000
     6.786    31.000
     7.060    32.000
     7.335    33.000
     7.610    34.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.228     1.000
     1.788     2.000
     1.348     3.000
     0.907     4.000
     0.467     5.000
     0.027     6.000
     0.414     7.000
     0.134     8.000
     0.184     9.000
     0.502    10.000
     0.820    11.000
     1.138    12.000
     1.456    13.000
     1.774    14.000
     2.093    15.000
     2.455    16.000
     2.771    17.000
     3.138    18.000
     3.453    19.000
     3.769    20.000
     4.043    21.000
     4.317    22.000
     4.591    23.000
     4.867    24.000
     5.141    25.000
     5.416    26.000
     5.688    27.000
     5.962    28.000
     6.237    29.000
     6.511    30.000
     6.786    31.000
     7.060    32.000
     7.335    33.000
     7.610    34.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.767     4.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.667     4.000
     3.667     4.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.667     4.000
     3.667     8.000
     1.667     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.667     4.000
     3.667     1.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.667     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.667     2.000
     1.667    14.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.667     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    14.000
     1.667    14.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20211001.0115.21
     9.680     2.000 Depth of minimum misfit =   6 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
